#
# spec file for package kpowersave (Version 0.3.9)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  kde3-devel-packages kdelibs3 powersave

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl powersave qt3 qt3-devel rpm update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         kpowersave
License:      LGPL
Group:        System/GUI/KDE
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      KDE Frontend to powersave Package, Battery Monitor and General Power Management Support
Version:      0.3.9
Release:      2.1
ExclusiveArch: %ix86 x86_64 ia64
Requires:     powersave >= 0.8.19 yast2-power-management
Source:       %{name}-%{version}.tar.bz2

%description
The package provides battery monitoring and suspend/standby triggers.
It is based on the powersave package and therefore supports APM and
ACPI. Together with the powersave package and the YaST Powermanagement
module it is the preferred package that should be used for battery
monitoring and control of power management related tasks. See powersave
package for additional features such as CPU frequency scaling(SpeedStep
and PowerNow) and more.



Authors:
--------
    Thomas Renninger (trenn@suse.de, mail@renninger.de)
    Danny Kukawka (dkukawka@suse.de, danny.kukawka@web.de)

%prep
%setup -n %{name}-%{version} -q
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
#mv $RPM_BUILD_ROOT/opt/kde3/share/doc/HTML/{default,en}
%suse_update_desktop_file %name Utility TrayIcon
%find_lang %name

%post
%{run_ldconfig} 

%postun
%{run_ldconfig} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
#%doc HEAD README AUTHORS ChangeLog COPYING 
/opt/kde3/bin/*
/opt/kde3/share/autostart/kpowersave.desktop
/opt/kde3/share/apps/kpowersave
/opt/kde3/share/icons/??color
/opt/kde3/share/applications/kde/kpowersave.desktop
/opt/kde3/lib*/kde3/kpowersave.*
/opt/kde3/lib*/libkdeinit_kpowersave.*

%changelog -n kpowersave
* Mon Jan 17 2005 - dkukawka@suse.de
- remove some xscreensaver related (unneeded) code in screen.cpp
- remove some unused variables and function declaration in
  pdaemon.cpp
- added full code documentation for doxygen and changed the settings
  in the Doxyfile
- fixed bug #49844 user selected 'disable screensaver' prefered if
  the AC adapter is plugged out
- fixed bug #49845 now XScreensaver also detected under KDE
- fixed bug #49632 in po-files (correct a wrong path in translation
  files)
* Tue Dec 21 2004 - dkukawka@suse.de
- added new cs-translation. File was empty (since SUSE 9.2final)
  in the cvs-tree (unknown why) Bug #49445
* Wed Dec 15 2004 - dkukawka@suse.de
- added new icons to the applet for stand-by, suspend* and
  the different schemes
- modified kpowersave desktop icon
- changed some code in kpowersave, fixed some little bugs
  (not reported), removed some unneeded or unreachable code
* Mon Dec 13 2004 - dkukawka@suse.de
- implemented new icons/iconfunctions for better better user
  interaction if the battery is in the different states WARNING,
  LOW, CRITICAL. Now the icon background flashes every second
  orange [WARNING,LOW] or red [CRITICAL]
- changed Icons (removed some white pixel)
* Sat Dec 11 2004 - dkukawka@suse.de
- fixed Bug #48202
* Tue Oct 12 2004 - dkukawka@suse.de
- fix Bugzilla #47113 (hopefully), remove some debug messages,
  change version
- fix problem from Bugzilla #46685, now kpowersave check really if
  scheme is successfully set by powersaved
* Mon Oct 04 2004 - dkukawka@suse.de
- fixed bug in screensaver menuentry, now only checked on start if
  screensaver and dpms off or if screensaver off and no dpms
  support by machine -> see: Bugzilla #46728
* Sat Oct 02 2004 - dkukawka@suse.de
- fixed bug (Bugzilla #46685): now the real scheme names (not i18n
  version) are sent to powersaved
* Fri Oct 01 2004 - dkukawka@suse.de
- added new an revised translationfiles
- make a workaround to reduce systemload if powersaved not present
  and kpowersave need to get systeminformations from /proc/
* Wed Sep 29 2004 - dkukawka@suse.de
- correct redrawPixmap so that now kpowersave correctly func under
  GNOME
- added new translations (jp, sk), added revised translations (bg,
  cs,es,nb)
* Mon Sep 27 2004 - dkukawka@suse.de
- added 2 lines in update() were falsely removed by last changes
* Mon Sep 27 2004 - trenn@suse.de
- correct charging state, when requesting daemon
  initialise has_DPMS
  xscreensaver enable/disable support
  update translations
* Wed Sep 22 2004 - dkukawka@suse.de
- added screensaver options (disable screensaver and DPMS) to menu
  do not poll for scheme changes -> only update on right mouse clck
* Mon Sep 20 2004 - trenn@suse.de
- changes from l.lunak@suse.cz to faster start kpowersave through
  kdeinit
* Tue Aug 31 2004 - trenn@suse.de
- disk<->ram typo which prevented suspend2ram to be enabled
  correctly
* Mon Aug 23 2004 - trenn@suse.de
- renamed suspend/standby to suspend2disk and suspend2ram
  introduced new sleep state standby
* Tue Jun 29 2004 - trenn@suse.de
- switch schemes, enable/disable screensaver and dpms
  proper update functions
* Mon May 17 2004 - trenn@suse.de
- color of remaining capacity always green when on ac power
  (Version 0.2.2)
* Fri May 14 2004 - trenn@suse.de
- modified message:
  system group is not mentioned in popup any more (#40473)
- introduced sub-version nr. (Version 0.2.1)
* Thu May 06 2004 - trenn@suse.de
- added battery charge information to Tooltip
  fixed fd leak
* Thu Apr 29 2004 - trenn@suse.de
- added cpufreq speed to Tooltip
  corrected color when on low level and recharged (was red, should be green)
  merged diffs after 9.1
* Wed Apr 07 2004 - trenn@suse.de
- changed Autostart to AutoStart (#38075)
* Mon Apr 05 2004 - seife@suse.de
- increase AC adapter polling interval to 2.5 seconds
* Sat Apr 03 2004 - coolo@suse.de
- do not rely on daemon but read AC infos right away
- cleanly fixing double start
- disabling suspend/standby menu entries if not available
* Fri Apr 02 2004 - trenn@suse.de
- avoid double start of kpowersave
  added italian and russian translation
* Wed Mar 31 2004 - trenn@suse.de
- delay window that daemon is not running (possible restart of daemon)
  no battery capacity on workstations
* Mon Mar 29 2004 - trenn@suse.de
- rcpowersave to rcpowersaved
  open notification window when on low battery and when requesting info from daemon
  fixed 0:02 mins remaining bug
  ask user to restart on next login when exiting
* Mon Mar 15 2004 - trenn@suse.de
- added several languages
* Thu Mar 11 2004 - trenn@suse.de
- * Mon Mar  11 2004 - trenn@suse.de
- a lot of little fixes for usability
- corrections of translators and some translations
  by adrian@suse.de :
- fix linking (no non-mt qt needed anymore)
- fix multiple packaging of files
* Tue Mar 09 2004 - ro@suse.de
- do not use non-mt
* Wed Mar 03 2004 - ro@suse.de
- call correct yast2 module
* Wed Feb 25 2004 - trenn@suse.de
- use bz2 instead of gz archive
* Mon Feb 23 2004 - trenn@suse.de
- corrected .spec -> file inconsistence
* Mon Feb 23 2004 - trenn@suse.de
- cleaned up
* Mon Feb 16 2004 - trenn@suse.de
- initial build
